Subject: RE: [Mip6] about HA switch message

From: <[email-masked]>
Date: Wed, 25 Oct 2006 21:36:58 +0200

Hi Brian, 

> Hi Jouni,
> 
> Thanks for reading the draft.
> 
> > I guess the home agent switch message could also be used 
> for general 
> > signaling from HA to MN? I.e. setting # addresses to 1 and 
> giving the 
> > address of the current HA as the alternative HA address. Then using 
> > Mobility Options to carry whatever an operator wants to 
> sporadically 
> > send from the HA to the MN. This would also have some side 
> effects on 
> > the retransmission logic I guess.
> 
> I guess it could do that, although it was not the intention, 
> also the draft doesn't define any valid options.  I have an 

The next question is whether the HA switch message as defined now
should prohibit sending current HA as the only HA address? If not
I would guess it leaves a door open for unintended use of the HA
switch message.

> expired draft that is probably in need of an update - 
> draft-haley-mip6-mh-signaling-01 that proposes that solution.
>
> > Also the security considerations state that the message must be 
> > protected using the IPSec SAs between the HA and the MN. What about 
> > RFC4285 auth option?
> 
> Yes, I guess RFC 4285 auth option should be supported, I can 
> add that in the next revision.

Good.

> Thanks,
> -Brian

Cheers,
	Jouni

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: Brian Haley <[email-masked]>
Date: Wed, 25 Oct 2006 15:54:20 -0400

Hi Jouni,

> I would guess it leaves a door open for unintended use of the HA

That would imply a broken HA, right?  I'm inclined to not add special 
case text for this since responding with a binding update doesn't hurt, 
it just causes some unnecessary network traffic.  At best I could put a 
sentence into Section 4.1 (HA sending), but it already says "alternate 
home agent addresses".

Is there some specific unintended use you were thinking of?

-Brian